File liblastfm.spec of Package liblastfm

#
# spec file for package liblastfm
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright 2009 Buschmann <buschmann23@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _soversion 1

Name:           liblastfm
Version:        1.0.2
Release:        20.1
Summary:        A Qt C++ Library for the Last.fm Webservices
License:        GPL-3.0+
Group:          System/Libraries
Url:            http://github.com/mxcl/liblastfm
# http://cdn.last.fm/client/liblastfm-%%{version}.tar.gz
Source0:        liblastfm-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

# PATCH-FIX-UPSTREAM liblastfm-fix-no-return-in-nonvoid-function.diff
Patch0:         liblastfm-fix-no-return-in-nonvoid-function.diff

BuildRequires:  cmake
BuildRequires:  kde4-filesystem

BuildRequires:  fdupes
BuildRequires:  fftw3-devel
BuildRequires:  libqt4-devel >= 4.8.0
BuildRequires:  libsamplerate-devel

%description
liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

%package -n liblastfm%{_soversion}
Summary:        A Qt C++ Library for the Last.fm Webservices
Group:          System/Libraries

%description -n liblastfm%{_soversion}
liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

%package -n liblastfm-devel
Summary:        Development Files for the Last.fm Webservices
Group:          Development/Libraries/C and C++
Requires:       liblastfm%{_soversion} = %{version}
Requires:       libqt4-devel

%description -n liblastfm-devel
liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

This package contains development files for liblastfm.

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
%{cmake_kde4}
make VERBOSE=1

%install
%{kde4_makeinstall}

%clean
rm -rf %{buildroot}

%post -n liblastfm%{_soversion} -p /sbin/ldconfig

%postun -n liblastfm%{_soversion} -p /sbin/ldconfig

%files -n liblastfm%{_soversion}
%defattr(-,root,root,-)
%{_libdir}/liblastfm.so.*
%{_libdir}/liblastfm_fingerprint.so.*

%files -n liblastfm-devel
%defattr(-,root,root,-)
%{_libdir}/liblastfm.so
%{_libdir}/liblastfm_fingerprint.so
%{_includedir}/lastfm

%changelog
* Thu Sep  6 2012 dmueller@suse.com
- rename it back to liblastfm-devel
* Thu Aug 23 2012 dev@dominik-schmidt.de
- fix no-return-in-nonvoid-function issue
* Thu Aug 23 2012 dev@dominik-schmidt.de
- Update to 1.0.2
  * liblastfm_fingerprint is now built on default
  * slightly extended api
  * bugfixes
* Thu Aug 23 2012 dev@dominik-schmidt.de
- also rename the devel package to liblastfm1-devel and make it
  conflict with the liblastfm-devel package
* Wed Aug 22 2012 dev@dominik-schmidt.de
- change name to liblastfm1, so devel package doesnt collide with
  old liblastfm still required by stable amarok
* Tue Aug 21 2012 dev@dominik-schmidt.de
- Update to 1.0.1
  * proper cmake based build system
  * needed for latest tomahawk release
  * support for showing your player on your last.fm profile
* Tue May 15 2012 idonmez@suse.com
- Fix build with Ruby 1.9
* Sat Jan 21 2012 crrodriguez@opensuse.org
- Build with -fvisibility-inlines-hidden, saving around 50
  exported symbols, in the extremely unlikely case this causes
  a problem, drop me a note.
- -devel pacakge requires libqt4-devel
* Mon May 23 2011 asterios.dramis@gmail.com
- Update to version 0.3.3.
- Spec file updates:
  * Changes based on spec-cleaner run.
  * Changed License: to GPLv3+.
  * Added description for the patches based on openSUSE Patches Guidelines.
  * Minor other updates.
- Compile package with optflags (added -fPIC to fix compilation error).
- Rebased liblastfm-sort.patch to apply cleanly.
- Rebased liblastfm-0.3.0-qmake.patch and renamed it to liblastfm_qmake.patch.
* Tue May 11 2010 aj@suse.de
- Sort lastfm.h to have same order each build.
* Fri Nov 20 2009 dmueller@suse.de
- fix packaging (spec file name, no functional change)
* Sat Sep  5 2009 buschmann23@opensuse.org - 0.3.0
- initial package
- version 0.3.0